## ETableColumnSelector

ETableColumnSelector — Select columns for an ETable or ETree

## Functions

GtkWidget * | e_table_column_selector_new ()
ETableState * | e_table_column_selector_get_state ()
void | e_table_column_selector_apply ()

## Properties

ETableState * | state | Read / Write / Construct Only

## Types and Values

struct | ETableColumnSelector

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBox
                        ╰── ETreeViewFrame
                            ╰── ETableColumnSelector

## Implemented Interfaces

ETableColumnSelector implements AtkImplementorIface, GtkBuildable, GtkOrientable and EExtensible.

## Includes

    #include <e-util/e-util.h>

## Description

ETableColumnSelector is a widget for choosing and ordering the available columns of an ETable or ETree.

## Functions

### e_table_column_selector_new ()

    GtkWidget *
    e_table_column_selector_new (ETableState *state);

Creates a new ETableColumnSelector, obtaining the initial column selection content from `state` .

Note that `state` remains unmodified until `e_table_column_selector_apply()` is called.

#### Parameters

state | an ETableState |

#### Returns

an ETableColumnSelector

### e_table_column_selector_get_state ()

    ETableState *
    e_table_column_selector_get_state (ETableColumnSelector *selector);

Returns the ETableState passed to `e_table_column_selector_new()`.

#### Parameters

selector | an ETableColumnSelector |

#### Returns

an ETableState

### e_table_column_selector_apply ()

    void
    e_table_column_selector_apply (ETableColumnSelector *selector);

Applies the user's column preferences to the `selector` 's “state” instance.

#### Parameters

selector | an ETableColumnSelector |

## Types and Values

### struct ETableColumnSelector

    struct ETableColumnSelector;

Contains only private data that should be read and manipulated using the functions below.

## Property Details

### The `“state”` property

      “state”                    ETableState *

Column state of the source table.

Flags: Read / Write / Construct Only